%define oname OpenJPEG
%define oversion %(echo %{version} | sed -e 's/\\./_/g')

%define major 5
%define libname %mklibname %{name} %{major}
%define devname %mklibname %{name} -d

Summary:	An open-source JPEG 2000 codec
Name:		openjpeg
Version:	1.5.2
Release:	1
License:	BSD
Group:		System/Libraries
Url:		http://www.openjpeg.org/
Source0:	http://openjpeg.googlecode.com/files/%{name}-%{version}.tar.gz
Patch1:		openjpeg-1.5.2-CVE-2013-1447.patch
Patch2:		openjpeg-1.5.2-CVE-2013-6887.patch
Patch3:		openjpeg-1.5.2-CVE-2014-0158.patch
BuildRequires:	cmake
BuildRequires:	dos2unix

%description
The OpenJPEG library is an open-source JPEG 2000 codec written in C language.
It has been developed in order to promote the use of JPEG 2000, the new still-
image compression standard from the Joint Photographic Experts Group (JPEG).

%files
%doc %{_datadir}/doc/%{name}-1.5/
%{_bindir}/*
%{_mandir}/man1/*
%{_mandir}/man3/*

#----------------------------------------------------------------------------

%package -n %{libname}
Summary:	%{oname} library
Group:		System/Libraries

%description -n %{libname}
This package contains the library needed to run programs dynamically linked
with the %{oname} library.

The OpenJPEG library is an open-source JPEG 2000 codec written in C language.
It has been developed in order to promote the use of JPEG 2000, the new still-
image compression standard from the Joint Photographic Experts Group (JPEG).

%files -n %{libname}
%{_libdir}/libopenjpeg.so.%{major}
%{_libdir}/libopenjpeg.so.%{version}

#----------------------------------------------------------------------------

%package -n %{devname}
Summary:	Development tools for programs using the %{oname} library
Group:		Development/C
Requires:	%{libname} = %{EVRD}
Requires:	%{name} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}

%description -n %{devname}
This package contains the header files and libraries needed for developing
programs using the %{oname} library.

The OpenJPEG library is an open-source JPEG 2000 codec written in C language.
It has been developed in order to promote the use of JPEG 2000, the new still-
image compression standard from the Joint Photographic Experts Group (JPEG).

%files -n %{devname}
%{_includedir}/%{name}-1.5/%{name}.h
%{_libdir}/libopenjpeg.so
%{_libdir}/%{name}-1.5/*.cmake
%{_libdir}/pkgconfig/libopenjpeg1.pc

#----------------------------------------------------------------------------

%prep
%setup -q
dos2unix libopenjpeg/opj_malloc.h
%apply_patches

%build
%cmake -DOPENJPEG_INSTALL_LIB_DIR=%{_lib}
%make

%install
%makeinstall_std -C build


%changelog

* Thu Jul 09 2015 Denis Silakov <denis.silakov@rosalab.ru> 1.5.2-1
- (80348e4) Added dos2unix BR


